# SWDB

# \Home_Page

Home page model.

Every visitable page type must inherit from this one.

## Summary

Methods
Properties
Constants
__construct()
$db
$view
$title
$name
$description
$favicon
$icon
$canonical
$author
$filters
$uid
$level
$country
$experience
$rep
$defense
$currency
$building
$decoration
$inventory_scroll
$inventory_craft_rune
$inventory_craft
$inventory_essence
No constants found
No protected methods found
No protected properties found
N/A
parse_filters()
No private properties found
N/A

File
  application/page/Home_Page.php
Package
  Default
Class hierarchy
  \Page
  \Home_Page

## Tags

category | Page

## Properties

### $db

    $db : resource

#### Type

resource — Database connection.

#

Inherited from
  \Page

## Tags

None found

### $view

    $view : string

#### Type

string — Path to the view associated with the page.

#

Inherited from
  \Page

## Tags

None found

### $title

    $title : string

#### Type

string — Title of the page, in the defined language.

#

Inherited from
  \Page

## Tags

None found

### $name

    $name : string

#### Type

string — Player name.

#

## Tags

None found

### $description

    $description : string

#### Type

string — Page description, in the defined language.

#

Inherited from
  \Page

## Tags

None found

### $favicon

    $favicon : string

#### Type

string — URL to the site favicon.

#

Inherited from
  \Page

## Tags

None found

### $icon

    $icon : string

#### Type

string — URL to the page icon or main image.

#

Inherited from
  \Page

## Tags

None found

### $canonical

    $canonical : string

#### Type

string — Canonical URL.

#

Inherited from
  \Page

## Tags

None found

### $author

    $author : string

#### Type

string — Autjhor URL.

#

Inherited from
  \Page

## Tags

None found

### $filters

    $filters : array<mixed,mixed>

#### Type

array<mixed,mixed> — The filters the page can handle.

#

Inherited from
  \Page
See also
  \FILTER::CATALOG

## Tags

None found

### $uid

    $uid : integer

#### Type

integer — Player ID.

#

## Tags

None found

### $level

    $level : integer

#### Type

integer — Player level.

#

## Tags

None found

### $country

    $country : string

#### Type

string — Player country (XX).

#

## Tags

None found

### $experience

    $experience : integer

#### Type

integer — Total experience.

#

## Tags

None found

### $rep

    $rep : \Unit

#### Type

\Unit — Representative Unit.

#

## Tags

None found

### $defense

    $defense : array<mixed,\Unit>

#### Type

array<mixed,\Unit> — Unitss in Arena defense.

#

## Tags

None found

### $currency

    $currency : array<mixed,integer>

#### Type

array<mixed,integer> — Currency.

#

## Tags

None found

### $building

    $building : array<mixed,\Building>

#### Type

array<mixed,\Building> — List of Buildings.

#

## Tags

None found

### $decoration

    $decoration : array<mixed,\Decoration>

#### Type

array<mixed,\Decoration> — List of Decorations.

#

## Tags

None found

### $inventory_scroll

    $inventory_scroll : array<mixed,\Inventory>

#### Type

array<mixed,\Inventory> — List of Scrolls in Inventory.

#

## Tags

None found

### $inventory_craft_rune

    $inventory_craft_rune : array<mixed,\Inventory>

#### Type

array<mixed,\Inventory> — List of rune crafting items in Inventory.

#

## Tags

None found

### $inventory_craft

    $inventory_craft : array<mixed,\Inventory>

#### Type

array<mixed,\Inventory> — List of rune crafting items in Inventory.

#

## Tags

None found

### $inventory_essence

    $inventory_essence : array<mixed,\Inventory>

#### Type

array<mixed,\Inventory> — List of rune crafting items in Inventory.

#

## Tags

None found

## Methods

### __construct()

    __construct(resource  $db)

Constructor.

Retrieves the data and initializes the variables.

#### Parameters

resource | $db | Connection to the database.

#

## Tags

global | int Player ID.

### parse_filters()

    parse_filters()

Parses the request looking for the selected filters, validates them and adds them to the $filters array.

Must be overriden in the page classes.

#

Inherited from
  \Page

## Tags

None found

### Home_Page.php